Skip to Content
Hive
API Referencev1VoIP DSS

Get Trunk or Gateway by Number ID

GET
/v1/voip/dss/number/{numberId}

Retrieve the DSS trunk or gateway associated with a number. The organization is resolved from the authenticated user.

Path Parameters

numberId*integer

Response Body

DSS trunk or gateway retrieved successfully.

application/json
  1. response

DSS trunk or gateway associated with the requested number.

idTrunk*string

Identifier of the associated trunk or gateway.

typeTrunk*string

Type of the associated trunk or gateway.

Value in"trunk""gtw"
idNumber*string

Identifier of the requested number.

Example Request
curl -X GET 'https://api.eis.it/v1/voip/dss/number/0'
Example Response
{  "idTrunk": "string",  "typeTrunk": "trunk",  "idNumber": "string"}